Subject: RE: Successful build of GCC 4.2.0 RC3 on latest Cygwin snapshot 20070427
From: "Dave Korn" <[email-masked]>
To: "'Aaron Gray'" <[email-masked]>, <[email-masked]>
Cc: "'GCC'" <[email-masked]>
Date: Sun, 6 May 2007 15:54:26 +0100
List-Id: <cygwin.cygwin.com>

On 06 May 2007 14:37, Aaron Gray wrote:

> On the LLVM build I am getting multiple :-
> 
>     warning: visibility attribute not supported in this configuration;
> ignored
> 
> with the same line number, eight or so in some cases but usually two.
> 
> Have not looked into this properly yet, I missed it earlier when first
> building but on rebuilding have captured it in a log file for thurther
> examination.

  IIUIC, the visibility attribute is only relevant to ELF targets, which
cygwin is not.  Hence the warnings, while seemingly redundant, are at least
accurate[*].  The visibility attribute needs wrapped in a macro that can be
undef'd on non-ELF systems.

> I can put together a test example if required.

  If you can produce once that shows excess warnings being emitted, yes, that
would be worth filing a PR.  Hmm, a quick test I couldn't get excess ones, but
the line numbers all look wrong..

    cheers,
      DaveK

[*] - and without seeing the actual code I don't even know that there aren't
that many attributed decls on the same line...
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/